/* block0.h -- Copyright 1989,1993 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: block0.h,v 1.1 93/12/08 23:05:58 lee Exp $
 *
 */

/* This file describes the layout of block zero of the "data" file.
 * This is used to store various pieces of information about a database.
 */

#define BLOCK_ZERO_BLOCKLENGTH		 0	/* length of block */

#define BLOCK_ZERO_MAXWID0		 9	/* Max wid */
#define BLOCK_ZERO_MAXWID1		10
#define BLOCK_ZERO_MAXWID2		11
#define BLOCK_ZERO_MAXWID3		12

#define BLOCK_ZERO_MAXFID0		13	/* Max wid */
#define BLOCK_ZERO_MAXFID1		14
#define BLOCK_ZERO_MAXFID2		15
#define BLOCK_ZERO_MAXFID3		16

#define BLOCK_ZERO_COMPILEFLAGBYTE	17	/* length of block */

#define BLOCK_ZERO_MAJORVERSION0	18	/* lq-text index version */
#define BLOCK_ZERO_MAJORVERSION1	19	/* lq-text index version */
#define BLOCK_ZERO_MINORVERSION		20	/* minor version */

