/* lqversion.c -- Copyright 1993 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

#ifndef LINT
static char *RcsId = "@(#) $Id: lqwversion.c,v 1.1 93/11/28 15:16:28 lee Exp $";
#endif

#include "globals.h" /* defines and declarations for database filenames */
#include "error.h"

#include "Revision.h"
#include "blkheader.h"
#include "block0.h"

extern char *ReadBlock();
extern void WriteBlock();

API void
lqWriteVersion()
{
    unsigned char *p;
    t_BlockHeader *BH;

    /* OpenDatabase depends on this function doing a ReadBlock(0) */
    p = (unsigned char *) ReadBlock(0L);
    BH = (t_BlockHeader *) p;

    p[BLOCK_ZERO_COMPILEFLAGBYTE] = LQ_FLAG_VALUE;
    p[BLOCK_ZERO_MAJORVERSION0] = (LQ_MAJOR_VERSION / 256);
    p[BLOCK_ZERO_MAJORVERSION1] = (LQ_MAJOR_VERSION & 255);
    p[BLOCK_ZERO_MINORVERSION] = LQ_MINOR_VERSION;

    BH->NumberOfBlocks = 1;
    WriteBlock(0L, (char *) p, 1);
}

